PracticaAvianca/src/java/Bean/CalculoPlanillaBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

import java.util.List;

/**
 *
 * @author bryan
 */
public class CalculoPlanillaBean {
    
    private String Nombre;
    private String Apellido;
    private String Dui;
    private String TipoContrato;
    private String Cargo;
    private Float Sueldo;
    private List<DetalleCalculoPlanillaBean> Descuentos;
    private Float TotalDescuentos;
    private Float LiquidoRecibir;

    public CalculoPlanillaBean(String Dui) {
        this.Dui = Dui;
    }

    public Float getTotalDescuentos() {
        return TotalDescuentos;
    }

    public void setTotalDescuentos(Float TotalDescuentos) {
        this.TotalDescuentos = TotalDescuentos;
    }

    public Float getLiquidoRecibir() {
        return LiquidoRecibir;
    }

    public void setLiquidoRecibir(Float LiquidoRecibir) {
        this.LiquidoRecibir = LiquidoRecibir;
    }

    public List<DetalleCalculoPlanillaBean> getDescuentos() {
        return Descuentos;
    }

    public void setDescuentos(List<DetalleCalculoPlanillaBean> Descuentos) {
        this.Descuentos = Descuentos;
    }

    public String getNombre() {
        return Nombre;
    }

    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
    }

    public String getApellido() {
        return Apellido;
    }

    public void setApellido(String Apellido) {
        this.Apellido = Apellido;
    }

    public String getDui() {
        return Dui;
    }

    public void setDui(String Dui) {
        this.Dui = Dui;
    }

    public String getTipoContrato() {
        return TipoContrato;
    }

    public void setTipoContrato(String TipoContrato) {
        this.TipoContrato = TipoContrato;
    }

    public String getCargo() {
        return Cargo;
    }

    public void setCargo(String Cargo) {
        this.Cargo = Cargo;
    }

    public Float getSueldo() {
        return Sueldo;
    }

    public void setSueldo(Float Sueldo) {
        this.Sueldo = Sueldo;
    }
    
}

PracticaAvianca/src/java/Bean/CargoBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

/**
 *
 * @author bryan
 */
public class CargoBean {
    private int ID_Cargo;
    private String Cargo;
    private String DateNewRow;
    private UsuarioBean ID_Usuario;

    public CargoBean(int ID_Cargo) {
        this.ID_Cargo = ID_Cargo;
    }

    public int getID_Cargo() {
        return ID_Cargo;
    }

    public void setID_Cargo(int ID_Cargo) {
        this.ID_Cargo = ID_Cargo;
    }

    public String getCargo() {
        return Cargo;
    }

    public void setCargo(String Cargo) {
        this.Cargo = Cargo;
    }

    public String getDateNewRow() {
        return DateNewRow;
    }

    public void setDateNewRow(String DateNewRow) {
        this.DateNewRow = DateNewRow;
    }

    public UsuarioBean getID_Usuario() {
        return ID_Usuario;
    }

    public void setID_Usuario(UsuarioBean ID_Usuario) {
        this.ID_Usuario = ID_Usuario;
    }
    
}

PracticaAvianca/src/java/Bean/DescuentoBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

/**
 *
 * @author bryan
 */
public class DescuentoBean {
    
    private int ID_Descuento;
    private String Descuento;
    private double Procentaje;
    private String DateNewRow;
    private UsuarioBean ID_Usuario;

    public DescuentoBean(int ID_Descuentos) {
        this.ID_Descuento = ID_Descuentos;
    }

    public int getID_Descuento() {
        return ID_Descuento;
    }

    public void setID_Descuento(int ID_Descuentos) {
        this.ID_Descuento = ID_Descuentos;
    }

    public String getDescuento() {
        return Descuento;
    }

    public void setDescuento(String Descuento) {
        this.Descuento = Descuento;
    }

    public double getProcentaje() {
        return Procentaje;
    }

    public void setProcentaje(double Procentaje) {
        this.Procentaje = Procentaje;
    }

    public String getDateNewRow() {
        return DateNewRow;
    }

    public void setDateNewRow(String DateNewRow) {
        this.DateNewRow = DateNewRow;
    }

    public UsuarioBean getID_Usuario() {
        return ID_Usuario;
    }

    public void setID_Usuario(UsuarioBean ID_Usuario) {
        this.ID_Usuario = ID_Usuario;
    }
    
}

PracticaAvianca/src/java/Bean/DetalleCalculoPlanillaBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

/**
 *
 * @author bryan
 */
public class DetalleCalculoPlanillaBean {
    
    private String Dui;
    private String Descuento;
    private Float Porcentaje;
    private Float Total;

    public DetalleCalculoPlanillaBean(String Dui) {
        this.Dui = Dui;
    }

    public String getDui() {
        return Dui;
    }

    public void setDui(String Dui) {
        this.Dui = Dui;
    }

    public String getDescuento() {
        return Descuento;
    }

    public void setDescuento(String Descuento) {
        this.Descuento = Descuento;
    }

    public Float getPorcentaje() {
        return Porcentaje;
    }

    public void setPorcentaje(Float Porcentaje) {
        this.Porcentaje = Porcentaje;
    }

    public Float getTotal() {
        return Total;
    }

    public void setTotal(Float Total) {
        this.Total = Total;
    }
    
}

PracticaAvianca/src/java/Bean/EmpleadoBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

import java.util.Date;

/**
 *
 * @author bryan
 */
public class EmpleadoBean {
    private int ID_Empleado;
    private String Nombre;
    private String Apellido;
    private String FechaNacimiento;
    private String Dui;
    private String Nit;
    private String Isss;
    private String Afp;
    private GeneroBean ID_Genero;
    private TipoContratoBean ID_TipoContrato;
    private CargoBean ID_Cargo;
    private float Sueldo;
    private String DateNewRow;
    private UsuarioBean ID_Usuario;

    public EmpleadoBean(int ID_Empleado) {
        this.ID_Empleado = ID_Empleado;
    }

    public int getID_Empleado() {
        return ID_Empleado;
    }

    public void setID_Empleado(int ID_Empleado) {
        this.ID_Empleado = ID_Empleado;
    }

    public String getNombre() {
        return Nombre;
    }

    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
    }

    public String getApellido() {
        return Apellido;
    }

    public void setApellido(String Apellido) {
        this.Apellido = Apellido;
    }

    public String getFechaNacimiento() {
        return FechaNacimiento;
    }

    public void setFechaNacimiento(String FechaNacimiento) {
        this.FechaNacimiento = FechaNacimiento;
    }

    public String getDui() {
        return Dui;
    }

    public void setDui(String Dui) {
        this.Dui = Dui;
    }

    public String getNit() {
        return Nit;
    }

    public void setNit(String Nit) {
        this.Nit = Nit;
    }

    public String getIsss() {
        return Isss;
    }

    public void setIsss(String Isss) {
        this.Isss = Isss;
    }

    public String getAfp() {
        return Afp;
    }

    public void setAfp(String Afp) {
        this.Afp = Afp;
    }

    public GeneroBean getID_Genero() {
        return ID_Genero;
    }

    public void setID_Genero(GeneroBean ID_Genero) {
        this.ID_Genero = ID_Genero;
    }

    public TipoContratoBean getID_TipoContrato() {
        return ID_TipoContrato;
    }

    public void setID_TipoContrato(TipoContratoBean ID_TipoContrato) {
        this.ID_TipoContrato = ID_TipoContrato;
    }

    public CargoBean getID_Cargo() {
        return ID_Cargo;
    }

    public void setID_Cargo(CargoBean ID_Cargo) {
        this.ID_Cargo = ID_Cargo;
    }

    public float getSueldo() {
        return Sueldo;
    }

    public void setSueldo(float Sueldo) {
        this.Sueldo = Sueldo;
    }

    public String getDateNewRow() {
        return DateNewRow;
    }

    public void setDateNewRow(String DateNewRow) {
        this.DateNewRow = DateNewRow;
    }

    public UsuarioBean getID_Usuario() {
        return ID_Usuario;
    }

    public void setID_Usuario(UsuarioBean ID_Usuario) {
        this.ID_Usuario = ID_Usuario;
    }
    
}

PracticaAvianca/src/java/Bean/GeneroBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

/**
 *
 * @author bryan
 */
public class GeneroBean {
    private int ID_Genero;
    private String Genero;

    public GeneroBean(int ID_Genero) {
        this.ID_Genero = ID_Genero;
    }

    public int getID_Genero() {
        return ID_Genero;
    }

    public void setID_Genero(int ID_Genero) {
        this.ID_Genero = ID_Genero;
    }

    public String getGenero() {
        return Genero;
    }

    public void setGenero(String Genero) {
        this.Genero = Genero;
    }
    
}

PracticaAvianca/src/java/Bean/TipoContratoBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

/**
 *
 * @author bryan
 */
public class TipoContratoBean {
    
    private int ID_TipoContrato;
    private String TipoContrato;
    private String DateNewRow;
    private UsuarioBean ID_Usuario;

    public TipoContratoBean(int ID_TipoContrato) {
        this.ID_TipoContrato = ID_TipoContrato;
    }

    public int getID_TipoContrato() {
        return ID_TipoContrato;
    }

    public void setID_TipoContrato(int ID_TipoContrato) {
        this.ID_TipoContrato = ID_TipoContrato;
    }

    public String getTipoContrato() {
        return TipoContrato;
    }

    public void setTipoContrato(String TipoContrato) {
        this.TipoContrato = TipoContrato;
    }

    public String getDateNewRow() {
        return DateNewRow;
    }

    public void setDateNewRow(String DateNewRow) {
        this.DateNewRow = DateNewRow;
    }

    public UsuarioBean getID_Usuario() {
        return ID_Usuario;
    }

    public void setID_Usuario(UsuarioBean ID_Usuario) {
        this.ID_Usuario = ID_Usuario;
    }
    
}

PracticaAvianca/src/java/Bean/UsuarioBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bean;

/**
 *
 * @author bryan
 */
public class UsuarioBean {
    private int ID_Usuario;
    private String Nombre;
    private String Apellido;
    private String Usuario;
    private String Pass;
    private int TipoUsuario;

    public UsuarioBean(int ID_Usuario) {
        this.ID_Usuario = ID_Usuario;
    }

    public int getID_Usuario() {
        return ID_Usuario;
    }

    public void setID_Usuario(int ID_Usuario) {
        this.ID_Usuario = ID_Usuario;
    }

    public String getNombre() {
        return Nombre;
    }

    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
    }

    public String getApellido() {
        return Apellido;
    }

    public void setApellido(String Apellido) {
        this.Apellido = Apellido;
    }

    public String getUsuario() {
        return Usuario;
    }

    public void setUsuario(String Usuario) {
        this.Usuario = Usuario;
    }

    public String getPass() {
        return Pass;
    }

    public void setPass(String Pass) {
        this.Pass = Pass;
    }

    public int getTipoUsuario() {
        return TipoUsuario;
    }

    public void setTipoUsuario(int TipoUsuario) {
        this.TipoUsuario = TipoUsuario;
    }
    
}

PracticaAvianca/src/java/Controller/CargoServlet.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Controller;

import Bean.CargoBean;
import Bean.UsuarioBean;
import Conexion.conexion;
import Dao.CargoDao;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.LinkedList;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author bryan
 */
public class CargoServlet extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    RequestDispatcher rd;
    conexion conn = new conexion();
    CargoDao queryCargo = new CargoDao(conn);
    List<CargoBean> ListCargo = new LinkedList<CargoBean>();
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        
        String path = request.getPathInfo();
        path = (path == null) ?"/" :path;
        
        switch(path){
            case "/Insert":
        
                try {
                    HttpSession sessionUser = request.getSession();
                    int ID_Cargo = Integer.parseInt(request.getParameter("txtIdCargo"));
                    String Cargo = request.getParameter("txtCargo");
                    
                    UsuarioBean u = new UsuarioBean(Integer.parseInt(sessionUser.getAttribute("ID_Usuario").toString()));
                    CargoBean g = new CargoBean(ID_Cargo);
                    
                    g.setCargo(Cargo);
                    g.setID_Usuario(u);
                    
                    if (ID_Cargo != 0) {
                        queryCargo.update(g);
                    }else{
                        queryCargo.insert(g);
                    }
                    
                    response.sendRedirect("/PracticaAvianca/Cargo/*");
                    
                } catch (Exception e) {
                }
                
                break;
            case "/eliminar":
                
                break;
            default:
                
                ListCargo = queryCargo.select();
                
                request.setAttribute("Lista", ListCargo);
                
                rd = request.getRequestDispatcher("/View/CargosView.jsp");
                rd.forward(request, response);
                break;
        }
        
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}

PracticaAvianca/web/View/DashboardView.jsp
<%@include file="../Layout/Header.jsp" %>

<section>
  <div class="row">
    <div class="col-4">
        <div class="card text-center">
        <div class="card-body">
          <div class="avatar bg-light-info p-50 mb-1">
            <div class="avatar-content">
              <i data-feather="users" class="font-medium-5"></i>
            </div>
          </div>
          <h2 class="fw-bolder">${ListEmpleado.size()}</h2>
          <p class="card-text">Empleados en el sistema</p>
        </div>
      </div>
    </div>
      <div class="col-4">
          <div class="card text-center">
        <div class="card-body">
          <div class="avatar bg-light-info p-50 mb-1">
            <div class="avatar-content">
              <i data-feather="align-center" class="font-medium-5"></i>
            </div>
          </div>
          <h2 class="fw-bolder">${ListDescuento.size()}</h2>
          <p class="card-text">Descuentos en el sistema</p>
        </div>
      </div>
    </div>
      <div class="col-4">
          <div class="card text-center">
        <div class="card-body">
          <div class="avatar bg-light-info p-50 mb-1">
            <div class="avatar-content">
              <i data-feather="paperclip" class="font-medium-5"></i>
            </div>
          </div>
          <h2 class="fw-bolder">${ListTipoContrato.size()}</h2>
          <p class="card-text">Contratos en el sistema</p>
        </div>
      </div>
    </div>
  </div>
</section>

<%@include file="../Layout/Script.jsp" %>

PracticaAvianca/web/View/EmpleadosView.jsp
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@include file="../Layout/Header.jsp" %>

<section>
  <div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <h4 class="card-title">Filled</h4>
        </div>
        <div class="card-body">
          <p class="card-text mb-0">
            Bootstrap includes six predefined button styles, each serving its own semantic purpose.
          </p>
          
          <form method="POST" action="/PracticaAvianca/Empleado/Insert">
            <input type="hidden" id="txtID_Empleado" name="txtID_Empleado" value="0"/>
            <div class="row">
                <div class="col-4 mb-1">
                    <div class="form-group">
                        <label for="txtNombre">Nombre</label>
                        <input type="text" class="form-control" id="txtNombre" name="txtNombre">
                    </div>
                </div>
                <div class="col-4 mb-1">
                    <div class="form-group">
                        <label for="txtApellido">Apellido</label>
                        <input type="text" class="form-control" id="txtApellido" name="txtApellido">
                    </div>
                </div>
                <div class="col-4 mb-1">
                    <div class="form-group">
                        <label for="txtFechaNacimiento">Fecha de Nacimiento</label>
                        <input type="text" class="form-control" id="txtFechaNacimiento" name="txtFechaNacimiento">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="txtDui">DUI</label>
                        <input type="text" class="form-control" id="txtDui" name="txtDui">
                    </div>
                </div>
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="txtNit">NIT</label>
                        <input type="text" class="form-control" id="txtNit" name="txtNit">
                    </div>
                </div>
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="txtIsss">ISSS</label>
                        <input type="text" class="form-control" id="txtIsss" name="txtIsss">
                    </div>
                </div>
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="txtAfp">AFP</label>
                        <input type="text" class="form-control" id="txtAfp" name="txtAfp">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="slcID_Genero">Genero</label>
                        <select id="slcID_Genero" name="slcID_Genero" class="form-select select2">
                            <option value="null">-- Seleccione --</option>
                            <c:forEach items="${ListGenero}" var="item">
                                <option value="${item.ID_Genero}">${item.genero}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="slcID_TipoContrato">Tipo de Contrato</label>
                        <select id="slcID_TipoContrato" name="slcID_TipoContrato" class="form-select select2">
                            <option value="null">-- Seleccione --</option>
                            <c:forEach items="${ListTipoContrato}" var="item">
                                <option value="${item.ID_TipoContrato}">${item.tipoContrato}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="slcID_Cargo">Cargo</label>
                        <select id="slcID_Cargo" name="slcID_Cargo" class="form-select select2">
                            <option value="null">-- Seleccione --</option>
                            <c:forEach items="${ListCargo}" var="item">
                                <option value="${item.ID_Cargo}">${item.cargo}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="col-3 mb-1">
                    <div class="form-group">
                        <label for="txtSueldo">Sueldo</label>
                        <input type="text" class="form-control" id="txtSueldo" name="txtSueldo">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <button class="btn btn-success" type="submit">Guardar</button>
                    </div>
                </div>
            </div>
          </form>
          
        </div>
      </div>
    </div>
  </div>
</section>

<section>
  <div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <h4 class="card-title">Filled</h4>
        </div>
        <div class="card-body">
          <p class="card-text mb-0">
            Bootstrap includes six predefined button styles, each serving its own semantic purpose.
          </p>
          
            <div class="row">
                <div class="col-12">
                    <div class="table-responsive">
                        <table class="table nowrap" id="tbinfo">
                            <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Apellido</th>
                                    <th>Fecha de Nacimiento</th>
                                    <th>Dui</th>
                                    <th>Nit</th>
                                    <th>Isss</th>
                                    <th>Afp</th>
                                    <th>Genero</th>
                                    <th>Tipo de Contrato</th>
                                    <th>Cargo</th>
                                    <th>Sueldo</th>
                                    <th>DateNewRow</th>
                                    <th>Usuario</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                <c:forEach items="${Lista}" var="item">
                                    <tr>
                                        <td>${item.nombre}</td>
                                        <td>${item.apellido}</td>
                                        <td>${item.fechaNacimiento}</td>
                                        <td>${item.dui}</td>
                                        <td>${item.nit}</td>
                                        <td>${item.isss}</td>
                                        <td>${item.afp}</td>
                                        <td>${item.ID_Genero.genero}</td>
                                        <td>${item.ID_TipoContrato.tipoContrato}</td>
                                        <td>${item.ID_Cargo.cargo}</td>
                                        <td>${item.sueldo}</td>
                                        <td>${item.dateNewRow}</td>
                                        <td>${item.ID_Usuario.nombre} ${item.ID_Usuario.apellido}</td>
                                        <td>
                                            <button class="btn btn-warning" type="button" onclick="Cargar(${item.ID_Empleado}, ${item.nombre}, ${item.apellido}, ${item.fechaNacimiento}, ${item.dui}, ${item.nit}, ${item.isss}, ${item.afp}, ${item.ID_Genero.ID_Genero}, ${item.ID_TipoContrato.ID_TipoContrato}, ${item.ID_Cargo.ID_Cargo}, ${item.sueldo})">Editar</button>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
          
        </div>
      </div>
    </div>
  </div>
</section>

<%@include file="../Layout/Script.jsp" %>

<script>
    $("#tbinfo").DataTable();
    
    function Cargar(ID_Empleado, nombre, apellido, fechaNacimiento, dui, nit, isss, afp, ID_Genero, ID_TipoContrato, ID_Cargo, sueldo){
        $("#txtID_Empleado").val(ID_Empleado);
        $("#txtNombre").val(nombre);
        $("#txtApellido").val(apellido);
        $("#txtFechaNacimiento").val(fechaNacimiento);
        $("#txtDui").val(dui);
        $("#txtNit").val(nit);
        $("#txtIsss").val(isss);
        $("#txtAfp").val(afp);
        $("#txtID_Genero").val(ID_Genero);
        $("#txtID_TipoContrato").val(ID_TipoContrato);
        $("#txtID_Cargo").val(ID_Cargo);
        $("#txtSueldo").val(sueldo);
    }
</script>

PracticaAvianca/web/View/PlanillaView.jsp
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@include file="../Layout/Header.jsp" %>

<section>
  <div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <h4 class="card-title">Reporte de Planilla</h4>
        </div>
        <div class="card-body">
          <p class="card-text mb-0">
            Aqui se puede ver el reporte de planilla para todos los empleados con sus descuentos segun contrato
          </p>
          
            <div class="row">
                <div class="col-12">
                    <div class="table-responsive">
                        <table class="table nowrap" id="tbinfo">
                            <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Apellido</th>
                                    <th>DUI</th>
                                    <th>Tipo de Contrato</th>
                                    <th>Cargo</th>
                                    <th>Sueldo</th>
                                    <c:forEach items="${ListDetalleTipoContrato}" var="item">
                                        <th>${item.descuento}</th>
                                    </c:forEach>
                                    <th>Total Descuentos</th>
                                    <th>Liquido a recibir</th>
                                </tr>
                            </thead>
                            <tbody>
                                <c:forEach items="${ListaPlanilla}" var="item">
                                    <tr>
                                        <td>${item.nombre}</td>
                                        <td>${item.apellido}</td>
                                        <td>${item.dui}</td>
                                        <td>${item.tipoContrato}</td>
                                        <td>${item.cargo}</td>
                                        <td>${item.sueldo}</td>
                                        <c:forEach items="${item.descuentos}" var="descuentos">
                                                <td>${descuentos.total}</td>
                                        </c:forEach>
                                        <td>${item.totalDescuentos}</td>
                                        <td>${item.liquidoRecibir}</td>
                                    </tr>
                                </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
          
        </div>
      </div>
    </div>
  </div>
</section>

<%@include file="../Layout/Script.jsp" %>

<script>
    $("#tbinfo").DataTable();
</script>